Cyan Web API - Version 1


GET api/deviceGroups/{deviceGroupId}

            Gets a DeviceGroup.
            

Request Information

Parameters

NameDescriptionAdditional information
deviceGroupId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "deviceGroupId": "f17b0ad8-f5c7-49ec-a371-8ec3dd9c710c",
  "tenantId": "807986f9-f655-4208-b43a-a30cfd8fd975",
  "lookupKey": "sample string 3",
  "name": "sample string 4",
  "description": "sample string 5",
  "isDefault": true,
  "createdDateUtc": "2026-08-08T02:36:38.2069202+00:00",
  "updatedDateUtc": "2026-08-08T02:36:38.2069202+00:00"
}

application/xml, text/xml

Sample:
<DeviceGroupRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-08-08T02:36:38.2069202+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-08-08T02:36:38.2069202+00:00</UpdatedDateUtc>
  <Description>sample string 5</Description>
  <DeviceGroupId>f17b0ad8-f5c7-49ec-a371-8ec3dd9c710c</DeviceGroupId>
  <IsDefault>true</IsDefault>
  <LookupKey>sample string 3</LookupKey>
  <Name>sample string 4</Name>
  <TenantId>807986f9-f655-4208-b43a-a30cfd8fd975</TenantId>
</DeviceGroupRepresentation>